Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 201307-01 ] HAProxy: Multiple vulnerabilities
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1582

PostPosted: Thu Jul 11, 2013 11:26 pm    Post subject: [ GLSA 201307-01 ] HAProxy: Multiple vulnerabilities Reply with quote

Gentoo Linux Security Advisory

Title: HAProxy: Multiple vulnerabilities (GLSA 201307-01)
Severity: high
Exploitable: remote
Date: July 11, 2013
Bug(s): #464340, #473674
ID: 201307-01

Synopsis

Multiple vulnerabilities have been found in HAProxy, allowing
attackers to execute arbitrary code or cause Denial of Service.


Background

HAProxy is a free, very fast and reliable solution offering high
availability, load balancing, and proxying for TCP and HTTP-based
applications.


Affected Packages

Package: net-proxy/haproxy
Vulnerable: < 1.4.24
Unaffected: >= 1.4.24
Architectures: All supported architectures


Description

Multiple vulnerabilities have been discovered in HAProxy. Please review
the CVE identifiers referenced below for details.


Impact

A remote attacker could send a specially crafted request, possibly
resulting in execution of arbitrary code with the privileges of the
application or a Denial of Service condition.


Workaround

There is no known workaround at this time.

Resolution

All HAProxy users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=net-proxy/haproxy-1.4.24"
   


References

CVE-2013-1912
CVE-2013-2175
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum